#include <bits/stdc++.h>

using namespace std;

int main(int argc, char** argv) {
	ios_base::sync_with_stdio(0);
	int n, x, i, br = 0;
	scanf("%d%d", &n, &x);
	int niz[n];
	int mini = x, maksi = x;
	for(i = 0; i < n; i++)
	{
		scanf("%d", &niz[i]);
		if(niz[i] < mini) mini = niz[i];
		if(niz[i] > maksi) maksi = niz[i];
	}
	int rez = x - mini + maksi - mini;
	printf("%d", rez);
	return 0;
}